# Bryan Schumaker (4 / 18 / 2011)

import gtk
import ocarina
from ocarina import shortcuts

entry = gtk.Entry()
entry.show()

has_focus = entry.is_focus

def do_filter(entry):
	ocarina.body.cur_page_filter(entry.get_text())
entry.connect("changed", do_filter)

shortcuts.register_shortcut("slash", entry.grab_focus)
